#========================================================================================
# package      DE_EPAGES::Design::API::Attributes::Font
# state        private
# base         DE_EPAGES::Object::API::BaseAttribute
# description  Attribute interface for Font, implements the attributes
#========================================================================================
package DE_EPAGES::Design::API::Attributes::Font;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use strict;
use feature 'switch';

sub getAttributes {
    my $self = shift;
    my ($Object, $aNames) = @_;
    my $hInfo = {};
    foreach my $Name ( @$aNames ) {
        given($Name) {
            when( 'Styles' ) {
                $hInfo->{$Name} = $Object->folder('Styles')->children;
            }
        }
    }
    return $hInfo;
}

1;
